# Interface methods for submodule: VideoSource
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import TemporalProcessObjectProxy as _TemporalProcessObjectProxy


# Interface methods for class: VideoSource
class VideoSourceProxy(_TemporalProcessObjectProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	@staticmethod
	def GetOutputFrameDimension() -> int:
		""""""
		...

	@overload
	def GetOutput(self):
		""""""
		...

	@overload
	def GetOutput(self, idx: int):
		""""""
		...

	def GraftNthOutput(self, idx: int, graft) -> None:
		""""""
		...

	def GraftOutput(self, graft) -> None:
		""""""
		...

	def MakeOutput(self, idx: int):
		""""""
		...

